Subject: bug#8686: 24.0.50; `re-search-backward' does not respect `search-invisible'

From: "Drew Adams" <[email-masked]>
Date: Tue, 17 May 2011 15:09:28 -0700

My impression is that `re-search-backward' and `*-forward' do not
respect `search-invisible'.  This makes it difficult if not impossible
to use them in code to not find matches in hidden text.  Why would this
variable be respected only in the Isearch Lisp code?  What am I missing?
 
My use case at the moment is to make Imenu (conditionally) not count
definitions that are commented out, by temporarily hiding commented
code.  I bind `search-invisible' to nil, but that has no effect on
`re-search-backward', which is called by the Imenu code
(e.g. `imenu--generic-function').  The code finds commented out
definitions, in spite of `search-invisible'.

In GNU Emacs 24.0.50.1 (i386-mingw-nt5.1.2600)
 of 2011-05-16 on 3249CTO
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (4.5) --no-opt --cflags
-Ic:/build/include'